Subject: bug#46649: 28.0.50; problem with gui emacs minibuffer when starting emacsclient in tty

From: Stefan Kangas <[email-masked]>
Date: Fri, 9 Apr 2021 11:59:16 -0500

[email-masked] writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> [email-masked] writes:
>>
>>> - start a gui emacs
>>> - in a separate tty, start emacsclient -nw
>>> - go back to gui emacs, do m-x, or anything that affects the minibuffer
>>> the minibuffer is empty, and messages buffer gets an error message:
>>>
>>> face-attribute: Variable binding depth exceeds max-specpdl-size
>>>
>>> emacs is now close to useless, since any operation using the
>>> minibuffer is broken.
>>
>> I'm unable to reproduce this, but perhaps there's something missing in
>> the recipe?
>>
>> I tried:
>>
>> emacs -Q -f server-start &
>> emacsclient -nw
>>
>> Then I chose the GUI Emacs and said `M-x'.  Nothing in particular
>> happened -- it displayed `M-x' as normal.
>
> It might be related to the completion frameweork I'm using. I tried
> Selectrum, Ivy, Helm, and Ido before sending the report.
>
> I will rebuild emacs and try again and get back to you.

(That was 6 weeks ago.)

Any news here?  Thanks in advance.